#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )
tde_import( libtdepim )

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE tdeabcdistlistupdater.desktop
  DESTINATION ${AUTOSTART_INSTALL_DIR}
  PO_DIR tdeabc-desktops
)


##### tdeabcdistlistupdater (executable) ####################

tde_add_executable( tdeabcdistlistupdater
  SOURCES tdeabcdistlistupdater.cpp
  LINK  tdepim-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
